{
 "actions": [],
 "creation": "2025-05-01 12:00:00",
 "doctype": "DocType",
 "editable_grid": 1,
 "engine": "InnoDB",
 "field_order": [
  "etaxes_party_name",
  "etaxes_tax_id",
  "party_type",
  "erp_party",
  "mapping_type",
  "party_settings_section",
  "supplier_group",
  "customer_group",
  "territory",
  "payment_terms"
 ],
 "fields": [
  {
   "fieldname": "etaxes_party_name",
   "fieldtype": "Link",
   "in_list_view": 1,
   "in_preview": 1,
   "label": "E-Taxes Party Name",
   "options": "E-Taxes Parties",
   "reqd": 1
  },
  {
   "fieldname": "etaxes_tax_id",
   "fieldtype": "Data",
   "in_list_view": 1,
   "in_preview": 1,
   "label": "Tax ID"
  },
  {
   "fieldname": "party_type",
   "fieldtype": "Select",
   "in_list_view": 1,
   "in_preview": 1,
   "label": "Party Type",
   "options": "Supplier\nCustomer",
   "reqd": 1
  },
  {
   "fieldname": "erp_party",
   "fieldtype": "Dynamic Link",
   "in_list_view": 1,
   "in_preview": 1,
   "label": "System Party",
   "options": "party_type"
  },
  {
   "default": "Manual",
   "fieldname": "mapping_type",
   "fieldtype": "Select",
   "in_list_view": 1,
   "in_preview": 1,
   "label": "Mapping Type",
   "options": "Manual\nAutomatic"
  },
  {
   "fieldname": "party_settings_section",
   "fieldtype": "Section Break",
   "label": "Party Settings"
  },
  {
   "depends_on": "eval:doc.party_type=='Supplier'",
   "description": "Overrides default Supplier Group setting (applies only when Party Type is Supplier)",
   "fieldname": "supplier_group",
   "fieldtype": "Link",
   "label": "Supplier Group",
   "options": "Supplier Group"
  },
  {
   "depends_on": "eval:doc.party_type=='Customer'",
   "description": "Overrides default Customer Group setting (applies only when Party Type is Customer)",
   "fieldname": "customer_group",
   "fieldtype": "Link",
   "label": "Customer Group",
   "options": "Customer Group"
  },
  {
   "description": "Territory for the business partner (applies mainly for Customer)",
   "fieldname": "territory",
   "fieldtype": "Link",
   "label": "Territory",
   "options": "Territory"
  },
  {
   "description": "Overrides default Payment Terms setting",
   "fieldname": "payment_terms",
   "fieldtype": "Link",
   "label": "Payment Terms",
   "options": "Payment Terms Template"
  }
 ],
 "istable": 1,
 "links": [],
 "modified": "2025-05-23 16:01:02.892751",
 "modified_by": "Administrator",
 "module": "Invoice Az",
 "name": "E-Taxes Party Mapping",
 "owner": "Administrator",
 "permissions": [],
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": [],
 "track_changes": 1
}